package com.banesco.common.domain.exception;

import lombok.Getter;

@Getter
public class PersistenceException extends RuntimeException {
    private final String errorCode;

    public PersistenceException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public PersistenceException(String errorCode) {
        this(errorCode, null);
    }
}
